Package: groovy.transform

## [Java] Annotation Type NotYetImplemented

- groovy.transform.NotYetImplemented

- Method annotation used to invert test case results. If a JUnit 3/4 test case method is annotated with `@NotYetImplemented` the test will fail if no test failure occurs and it will pass if a test failure occurs.

  This is helpful for tests that don't currently work but should work one day, when the tested functionality has been implemented.

  The idea for this AST transformation originated in GroovyTestCase.notYetImplemented.

  Authors:
    Dierk König
    Andre Steingress
    Ilinca V. Hallberg
    Björn Westlin
  Since:
    2.0.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`